### Method

# RB ExtDBKey field_matches

#### Declaration [src]

    gboolean
    rb_ext_db_key_field_matches (
      RBExtDBKey* key,
      const char* field,
      const char* value
    )

#### Description [src]

Checks whether a specified field in `key` matches a value. This can be used to match keys against other types of data. To match keys against each other, use `rb_ext_db_key_matches`.

#### Parameters

`field`

  Type: `const char*`

  A field to check.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const char*`

  A value to match against.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the field matches the value.